#include <iostream>

using namespace std;

int main()
{
    int n;
    scanf("%d",&n);
    double a[n],p[n],maxx;
    for (int i=0;i<n;i++){
        scanf("%lf %lf",&a[i],&p[i]);
    }
    maxx=0;
    for (int i=0;i<n;i++){
        double s=0;
        for (int j=0;j<n;j++){
            if (p[j]>=p[i]){
                s+=a[j];
            }
        }
        maxx=max(maxx,s*(p[i]/100.0));
    }
    printf("%f",maxx);
}